org.apache.fop.datatypes

## Interface Length

- All Superinterfaces:
    Numeric
  All Known Implementing Classes:
    EnumLength, FixedLength, LengthProperty, NumericProperty, PercentLength, RelativeNumericProperty, TableColLength

      public interface Length
      extends Numeric

  A length quantity in XSL

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the length in 1/1000ths of a point (millipoints)
    `int` | `getValue(PercentBaseContext context)` Returns the length in 1/1000ths of a point (millipoints)

    - ### Methods inherited from interface org.apache.fop.datatypes.Numeric

      `getDimension, getEnum, getNumericValue, getNumericValue, isAbsolute`

- - ### Method Detail

    - #### getValue

          int getValue()

      Returns the length in 1/1000ths of a point (millipoints)
      Specified by:
        `getValue` in interface `Numeric`
      Returns:
        the length in millipoints

    - #### getValue

          int getValue(PercentBaseContext context)

      Returns the length in 1/1000ths of a point (millipoints)
      Specified by:
        `getValue` in interface `Numeric`
      Parameters:
        `context` - The context for the length calculation (for percentage based lengths)
      Returns:
        the length in millipoints

Copyright © 2023 Apache Software Foundation. All rights reserved.